<?php

namespace Drupal\commerce_payone\Plugin\Commerce\PaymentGateway;

use Drupal\commerce_payment\Entity\PaymentInterface;
use Drupal\commerce_payment\Plugin\Commerce\PaymentGateway\OffsitePaymentGatewayInterface;

/**
 * Provides the interface for the SOFORT payment gateway.
 */
interface PayoneSofortInterface extends OffsitePaymentGatewayInterface {

  /**
   * Creates and posts an authorization request for the given payment.
   *
   * @param \Drupal\commerce_payment\Entity\PaymentInterface $payment
   *   The payment entity.
   * @param array $form
   *   The plugin form structure, must contain at least needed #return_url and
   *   #cancel_url keys.
   *
   * @return object
   *   The processed response from Payone API call.
   */
  public function initializeSofortApi(PaymentInterface $payment, array $form);

  /**
   * Gets the key to be used to store Gateway specific info in the order data.
   *
   * @return string
   *   The key to be used to store Gateway specific info in the order data.
   */
  public function getOrderDataKey();

}
